#ifndef _CONFIGURE_H_
#define _CONFIGURE_H_

typedef struct scrobbler_configuration {
	gboolean updated;
	gchar *username;
	gchar *password;
	gboolean offline;
	gboolean useproxy;
	gchar *proxy_server;
	gchar *proxy_port;
	gboolean useproxyauth;
	gchar *proxy_username;
	gchar *proxy_password;
} scrobbler_configuration;

extern GMutex *scrobbler_cfg_mutex;
extern scrobbler_configuration scrobbler_cfg;


//GtkWidget* create_cfgdlg (sc_cfg *cfg_data, GMutex *cfg_mutex,
//						  GMutex *hs_mutex, GCond *hs_cond);

GtkWidget* scrobbler_create_cfgdlg (void (* update_cb_func) (void));

void scrobbler_update_message(gchar *);

#endif
