#include <stdio.h>
#include <string.h>
#include <pthread.h>
#include <limits.h>
#include <stdlib.h>
#include <stdarg.h>


#define SCROBBLER_SB_MAXLEN 1024

static void
sc_generate_entry_item(char **submission, char tag, int num, char *val)
{
    static char buf[SCROBBLER_SB_MAXLEN]; 
	size_t submission_size;

	if (*submission == NULL)
		submission_size = 0;
	else
		submission_size = strlen(*submission);

    snprintf(buf, SCROBBLER_SB_MAXLEN, "&%c[%d]=%s", tag, num, val);

	*submission = (char *)realloc(*submission, 
								  submission_size + strlen(buf) + 1);
	if (submission_size == 0)
		*submission[0] = '\0';

	strncat(*submission, buf, strlen(buf));
}


static int
sc_generate_entry(char **submission)
{
	int i;
	
	i = 0;
	*submission = NULL;

	/* just rewind */
	for (i = 0; i < 5; i ++) {

		sc_generate_entry_item(submission, 'a', i, "aaa");
		sc_generate_entry_item(submission, 't', i, "bb");
		sc_generate_entry_item(submission, 'l', i, "ccccccc");
		sc_generate_entry_item(submission, 'i', i, "ddd");
		sc_generate_entry_item(submission, 'm', i, "");
		sc_generate_entry_item(submission, 'b', i, "f");

	}



	return i;
}


int
main()
{
	#define HOGE 123

	char *hoge = NULL;

	char ctest[3];
//	char utctime[30];
	char utctime[256];

	struct tm *tm;
	static char buf[30];
	time_t t;
	t = time(NULL);

	tm = localtime(&t);
	strftime(utctime, sizeof(utctime), "%x %X", tm);
	printf("%s\n", utctime);

	snprintf(buf, sizeof(buf), "%d-%.2d-%.2d %.2d:%.2d:%.2d",
			tm->tm_year + 1900,
			tm->tm_mon + 1,
			tm->tm_mday,
			tm->tm_hour,
			tm->tm_min,
			tm->tm_sec);
	printf("%s\n", buf);

	printf("%d\n", HOGE);
	printf("%s\n", "HOGE");
	
	sc_generate_entry(&hoge);

	printf("%s\n", hoge);

	if (hoge)
		free(hoge);

	snprintf(ctest, sizeof(ctest), "%d", 123);

	printf("ctest[2] = %02x\n", ctest[2]);

	return 0;
}
